unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, ExtCtrls, StdCtrls, Buttons, IniFiles, DropSource,
  DropTarget, RUrllabel;

type
  TForm1 = class(TForm)
    DatePicker: TDateTimePicker;
    TimePicker: TDateTimePicker;
    TodayBtn: TButton;
    NowBtn: TButton;
    Label1: TLabel;
    Label2: TLabel;
    SetBtn: TButton;
    Bevel2: TBevel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    iBtn: TSpeedButton;
    Panel1: TPanel;
    Label7: TLabel;
    CurLbl: TLabel;
    DropFileTarget1: TDropFileTarget;
    DropPnl: TPanel;
    StampImg: TImage;
    InfoPnl: TPanel;
    Label8: TLabel;
    Image1: TImage;
    Label9: TLabel;
    RUrllabel1: TRUrllabel;
    Label10: TLabel;
    Label11: TLabel;
    procedure TodayBtnClick(Sender: TObject);
    procedure NowBtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure SetBtnClick(Sender: TObject);
    procedure DropFileTarget1Drop(Sender: TObject; ShiftState: TShiftState; Point: TPoint; var Effect: Integer);
    procedure iBtnClick(Sender: TObject);
  private
    { Private declarations }
    IniName: String;
    CurrentSetting: TDateTime;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var
  Ini: TIniFile;
begin
  DropFileTarget1.register(DropPnl);
  LongTimeFormat := 'HH:mm';
  ClientHeight := 175;
  IniName := ChangeFileExt(Application.ExeName, '.ini');
  Ini := TIniFile.Create(IniName);
  CurrentSetting := Ini.ReadDateTime('Setting', 'Current', Now);
  CurLbl.Caption := DateTimeToStr(CurrentSetting);
  Ini.Free;
end;

procedure TForm1.FormDestroy(Sender: TObject);
var
  Ini: TIniFile;
begin
  DropFileTarget1.unregister;
  Ini := TIniFile.Create(IniName);
  Ini.WriteDateTime('Setting', 'Current', CurrentSetting);
  Ini.Free;
end;


procedure TForm1.TodayBtnClick(Sender: TObject);
begin
  DatePicker.Date := Date;
end;

procedure TForm1.NowBtnClick(Sender: TObject);
begin
  TimePicker.Time := Time;
end;

procedure TForm1.SetBtnClick(Sender: TObject);
begin
  ReplaceDate(CurrentSetting, DatePicker.Date);
  ReplaceTime(CurrentSetting, TimePicker.Time);
  CurLbl.Caption := DateTimeToStr(CurrentSetting);
end;

procedure TForm1.DropFileTarget1Drop(Sender: TObject; ShiftState: TShiftState; Point: TPoint; var Effect: Integer);
var
  i: Integer;
  HFile: Integer;
begin
  with DropFileTarget1 do
  begin
    for i := 0 to Files.Count - 1 do
    begin
      HFile := FileOpen(Files[i], fmOpenReadWrite);
      FileSetDate(HFile, DateTimeToFileDate(CurrentSetting));
      FileClose(HFile);
    end;
  end;
end;

procedure TForm1.iBtnClick(Sender: TObject);
begin
  if iBtn.Down then
  begin
    ClientHeight := ClientHeight + 70;
    InfoPnl.Visible := True;
  end else
  begin
    ClientHeight := ClientHeight - 70;
    InfoPnl.Visible := False;
  end;
end;

end.
